Loading...
Searching...
No Matches
Opm::KeywordHandlers Class Reference

Singleton class for Keyword handlers in Schedule. More...

`#include <KeywordHandlers.hpp>`

## Public Types

using | handler_function = std::function<void(HandlerContext&)>
| Handler function type.

## Public Member Functions

bool | handleKeyword (HandlerContext &handlerContext) const
| Handle a keyword.

## Static Public Member Functions

static const KeywordHandlers & | getInstance ()
| Obtain singleton instance.

## Detailed Description

Singleton class for Keyword handlers in Schedule.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/KeywordHandlers.hpp
- opm/input/eclipse/Schedule/KeywordHandlers.cpp